/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.ita.platform.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>Freccia8x8MortarCarrierwTDA2R2M120mmMortar</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>Freccia8x8MortarCarrierwTDA2R2M120mmMortar.createInstance()</code> or <code>new Freccia8x8MortarCarrierwTDA2R2M120mmMortar()</code>. </p>
 * <ul>
 *     <li> Country: Italy (ITA) = <code>106</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Armored Fighting Vehicle = <code>2</code>; </li>
 *     <li> SubCategory: Freccia8x8  = <code>5</code>; </li>
 *     <li> Specific: Freccia8x8MortarCarrierwTDA2R2M120mmMortar  = <code>3</code>; </li>
 *     <li> Entity type uid: 36184; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v33 (2024-05-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@24be2d9c. </p>
 * @see Country#ITALY_ITA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see ArmoredFightingVehicle
 * @see SubCategory

 */
public final class Freccia8x8MortarCarrierwTDA2R2M120mmMortar extends EntityType
{
    /** Default constructor */
    public Freccia8x8MortarCarrierwTDA2R2M120mmMortar()
    {
        setCountry(Country.ITALY_ITA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)2); // uid 18281, Armored Fighting Vehicle
        setSubCategory((byte)5); // uid 36181, Freccia (8x8)
        setSpecific((byte)3); // uid 36184, Freccia (8x8), Mortar Carrier w/ TDA-2R2M 120mm Mortar
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static Freccia8x8MortarCarrierwTDA2R2M120mmMortar createInstance()
    {
            return new Freccia8x8MortarCarrierwTDA2R2M120mmMortar();
    }
}
