/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.oth.culturalfeature.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>DrugBaleMarijuana2x3</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>DrugBaleMarijuana2x3.createInstance()</code> or <code>new DrugBaleMarijuana2x3()</code>. </p>
 * <ul>
 *     <li> Country: Other = <code>0</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Cultural feature = <code>5</code>; </li>
 *     <li> Category: Contraband = <code>28</code>; </li>
 *     <li> SubCategory: DrugBale  = <code>1</code>; </li>
 *     <li> Specific: DrugBaleMarijuana  = <code>1</code>; </li>
 *     <li> Entity type uid: 28514; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v33 (2024-05-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$ExtraElem@6df87ffd. </p>
 * @see Country#OTHER
 * @see EntityKind#CULTURAL_FEATURE
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see Contraband
 * @see SubCategory

 */
public final class DrugBaleMarijuana2x3 extends EntityType
{
    /** Default constructor */
    public DrugBaleMarijuana2x3()
    {
        setCountry(Country.OTHER);
        setEntityKind(EntityKind.CULTURAL_FEATURE);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)28); // uid 28511, Contraband
        setSubCategory((byte)1); // uid 28512, Drug Bale
        setSpecific((byte)1); // uid 28513, Drug Bale, Marijuana
        setExtra((byte)1); // uid 28514, Drug Bale, Marijuana, 2x3
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static DrugBaleMarijuana2x3 createInstance()
    {
            return new DrugBaleMarijuana2x3();
    }
}
