/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.rus.platform.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>_9S9311KamazTyphoonwithWheeledBrigadePlanningModule</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>_9S9311KamazTyphoonwithWheeledBrigadePlanningModule.createInstance()</code> or <code>new _9S9311KamazTyphoonwithWheeledBrigadePlanningModule()</code>. </p>
 * <ul>
 *     <li> Country: Russia (RUS) = <code>222</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Large Wheeled Utility Vehicle = <code>7</code>; </li>
 *     <li> SubCategory: KamAZ53949TyphoonK  = <code>44</code>; </li>
 *     <li> Specific: _9S9311KamazTyphoonwithWheeledBrigadePlanningModule  = <code>4</code>; </li>
 *     <li> Entity type uid: 36008; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v33 (2024-05-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@715d6168. </p>
 * @see Country#RUSSIA_RUS
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see LargeWheeledUtilityVehicle
 * @see SubCategory

 */
public final class _9S9311KamazTyphoonwithWheeledBrigadePlanningModule extends EntityType
{
    /** Default constructor */
    public _9S9311KamazTyphoonwithWheeledBrigadePlanningModule()
    {
        setCountry(Country.RUSSIA_RUS);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)7); // uid 12867, Large Wheeled Utility Vehicle
        setSubCategory((byte)44); // uid 34309, KamAZ-53949 Typhoon-K
        setSpecific((byte)4); // uid 36008, 9S931-1 Kamaz Typhoon with Wheeled Brigade Planning Module
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static _9S9311KamazTyphoonwithWheeledBrigadePlanningModule createInstance()
    {
            return new _9S9311KamazTyphoonwithWheeledBrigadePlanningModule();
    }
}
