/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 889,
 * marshal size 3;
 * DamageArea has 8 enumerations total.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum DamageArea 
{
    // autogenerated using string template disenumfootnotecomment.txt

    /** Damage Area 1 (default is Side 1 = Front Side) or Not Applicable if Damage Areas are not defined. */
    // autogenerated using string template disenumpart2.txt
    DAMAGE_AREA_1_DEFAULT_IS_SIDE_1__FRONT_SIDE_OR_NOT_APPLICABLE_IF_DAMAGE_AREAS_ARE_NOT_DEFINED (0, "Damage Area 1 (default is Side 1 = Front Side) or Not Applicable if Damage Areas are not defined."),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Damage Area 2 (default is Side 2 = Right Side) */
    // autogenerated using string template disenumpart2.txt
    DAMAGE_AREA_2_DEFAULT_IS_SIDE_2__RIGHT_SIDE (1, "Damage Area 2 (default is Side 2 = Right Side)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Damage Area 3 (default is Side 3 = Back Side) */
    // autogenerated using string template disenumpart2.txt
    DAMAGE_AREA_3_DEFAULT_IS_SIDE_3__BACK_SIDE (2, "Damage Area 3 (default is Side 3 = Back Side)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Damage Area 4 (default is Side 4 = Left Side) */
    // autogenerated using string template disenumpart2.txt
    DAMAGE_AREA_4_DEFAULT_IS_SIDE_4__LEFT_SIDE (3, "Damage Area 4 (default is Side 4 = Left Side)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Damage Area 5 (default is Corner 1 = Front Right Corner) */
    // autogenerated using string template disenumpart2.txt
    DAMAGE_AREA_5_DEFAULT_IS_CORNER_1__FRONT_RIGHT_CORNER (4, "Damage Area 5 (default is Corner 1 = Front Right Corner)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Damage Area 6 (default is Corner 2 = Back Right Corner) */
    // autogenerated using string template disenumpart2.txt
    DAMAGE_AREA_6_DEFAULT_IS_CORNER_2__BACK_RIGHT_CORNER (5, "Damage Area 6 (default is Corner 2 = Back Right Corner)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Damage Area 7 (default is Corner 3 = Back Left Corner) */
    // autogenerated using string template disenumpart2.txt
    DAMAGE_AREA_7_DEFAULT_IS_CORNER_3__BACK_LEFT_CORNER (6, "Damage Area 7 (default is Corner 3 = Back Left Corner)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Damage Area 8 (default is Corner 4 = Front Left Corner) */
    // autogenerated using string template disenumpart2.txt
    DAMAGE_AREA_8_DEFAULT_IS_CORNER_4__FRONT_LEFT_CORNER (7, "Damage Area 8 (default is Corner 4 = Front Left Corner)");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    DamageArea(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 3;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static DamageArea getEnumForValue(int value)
    {
       for (DamageArea nextEnum : DamageArea.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum DamageArea");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_8.txt

    private boolean TRACE = false;

    /** Set tracing on/off for this object 
     * @param value whether tracing is on or off */
    public void setTRACE (boolean value)
    {
        TRACE = value;
    }

    /** Whether tracing is on or off for this object
     * @return whether tracing is on or off */
    public boolean getTRACE ()
    {
        return TRACE;
    }

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeByte(getValue());
    }
    
    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.put((byte)getValue());
    }

    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static DamageArea unmarshalEnum (DataInputStream dis) throws Exception
    {
       /* try {
            value = dis.readUnsignedByte();
        }
        catch(IOException ex) {
            showError(ex);
        } */
        
        return getEnumForValue(dis.readByte());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static DamageArea unmarshalEnum(ByteBuffer byteBuffer) throws Exception
    {
        /*
        try {
            value = (int)byteBuffer.get();
        }
        catch(Exception ex) {
            showError(ex);
        }
        */
        return getEnumForValue(byteBuffer.get());
    }

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 1; // 8 bits
    }
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

    
  /**
   * Provide simple identifier
   * @return class name, value and name
   */
    @Override
    public String toString()
    {
        String padding = new String();
        if (this.getClass().getName().endsWith("DisPduType") && (getValue() < 10))
            padding = "0"; // leading zero for column spacing
        String result = this.getClass().getSimpleName() + " " + padding + getValue() + " " + name();
        if (getTRACE())
            System.out.println ("*** enum " + this.getClass().getSimpleName() + " name=" + name() + ", value=" + getValue() + "; " +
               result); // debug diagnostic
        return result;
    }
}
