/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 12,
 * marshal size 8;
 * PlatformSubsurfaceCategory has 20 enumerations total.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum PlatformSubsurfaceCategory implements Category
{
    // autogenerated using string template disenumfootnotecomment.txt

    /** Other */
    // autogenerated using string template disenumpart2.txt
    OTHER (0, "Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSBN (Nuclear Ballistic Missile) */
    // autogenerated using string template disenumpart2.txt
    SSBN_NUCLEAR_BALLISTIC_MISSILE (1, "SSBN (Nuclear Ballistic Missile)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSGN (Nuclear Guided Missile) */
    // autogenerated using string template disenumpart2.txt
    SSGN_NUCLEAR_GUIDED_MISSILE (2, "SSGN (Nuclear Guided Missile)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSN (Nuclear Attack - Torpedo) */
    // autogenerated using string template disenumpart2.txt
    SSN_NUCLEAR_ATTACK_TORPEDO (3, "SSN (Nuclear Attack - Torpedo)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSG (Conventional Guided Missile) */
    // autogenerated using string template disenumpart2.txt
    SSG_CONVENTIONAL_GUIDED_MISSILE (4, "SSG (Conventional Guided Missile)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SS (Conventional Attack - Torpedo, Patrol) */
    // autogenerated using string template disenumpart2.txt
    SS_CONVENTIONAL_ATTACK_TORPEDO_PATROL (5, "SS (Conventional Attack - Torpedo, Patrol)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSAN (Nuclear Auxiliary) */
    // autogenerated using string template disenumpart2.txt
    SSAN_NUCLEAR_AUXILIARY (6, "SSAN (Nuclear Auxiliary)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSA (Conventional Auxiliary) */
    // autogenerated using string template disenumpart2.txt
    SSA_CONVENTIONAL_AUXILIARY (7, "SSA (Conventional Auxiliary)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Unmanned Underwater Vehicle (UUV) */
    // autogenerated using string template disenumpart2.txt
    UNMANNED_UNDERWATER_VEHICLE_UUV (8, "Unmanned Underwater Vehicle (UUV)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSB (Submarine Ballistic, Ballistic Missile Submarine) */
    // autogenerated using string template disenumpart2.txt
    SSB_SUBMARINE_BALLISTIC_BALLISTIC_MISSILE_SUBMARINE (9, "SSB (Submarine Ballistic, Ballistic Missile Submarine)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSC (Coastal Submarine, over 150 tons) */
    // autogenerated using string template disenumpart2.txt
    SSC_COASTAL_SUBMARINE_OVER_150_TONS (10, "SSC (Coastal Submarine, over 150 tons)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSP (Attack Submarine - Diesel Air-Independent Propulsion) */
    // autogenerated using string template disenumpart2.txt
    SSP_ATTACK_SUBMARINE_DIESEL_AIR_INDEPENDENT_PROPULSION (11, "SSP (Attack Submarine - Diesel Air-Independent Propulsion)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSM (Midget Submarine, under 150 tons) */
    // autogenerated using string template disenumpart2.txt
    SSM_MIDGET_SUBMARINE_UNDER_150_TONS (12, "SSM (Midget Submarine, under 150 tons)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SSNR (Special Attack Submarine) */
    // autogenerated using string template disenumpart2.txt
    SSNR_SPECIAL_ATTACK_SUBMARINE (13, "SSNR (Special Attack Submarine)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SST (Training Submarine) */
    // autogenerated using string template disenumpart2.txt
    SST_TRAINING_SUBMARINE (14, "SST (Training Submarine)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AGSS (Auxiliary Submarine) */
    // autogenerated using string template disenumpart2.txt
    AGSS_AUXILIARY_SUBMARINE (15, "AGSS (Auxiliary Submarine)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Semi-Submersible Boats */
    // autogenerated using string template disenumpart2.txt
    SEMI_SUBMERSIBLE_BOATS (16, "Semi-Submersible Boats"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Civilian Submarines */
    // autogenerated using string template disenumpart2.txt
    CIVILIAN_SUBMARINES (80, "Civilian Submarines"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Civilian Submersibles */
    // autogenerated using string template disenumpart2.txt
    CIVILIAN_SUBMERSIBLES (81, "Civilian Submersibles"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Civilian Semi-Submersible Boats */
    // autogenerated using string template disenumpart2.txt
    CIVILIAN_SEMI_SUBMERSIBLE_BOATS (82, "Civilian Semi-Submersible Boats");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    PlatformSubsurfaceCategory(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 8;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static PlatformSubsurfaceCategory getEnumForValue(int value)
    {
       for (PlatformSubsurfaceCategory nextEnum : PlatformSubsurfaceCategory.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum PlatformSubsurfaceCategory");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_8.txt

    private boolean TRACE = false;

    /** Set tracing on/off for this object 
     * @param value whether tracing is on or off */
    public void setTRACE (boolean value)
    {
        TRACE = value;
    }

    /** Whether tracing is on or off for this object
     * @return whether tracing is on or off */
    public boolean getTRACE ()
    {
        return TRACE;
    }

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeByte(getValue());
    }
    
    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.put((byte)getValue());
    }

    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformSubsurfaceCategory unmarshalEnum (DataInputStream dis) throws Exception
    {
       /* try {
            value = dis.readUnsignedByte();
        }
        catch(IOException ex) {
            showError(ex);
        } */
        
        return getEnumForValue(dis.readByte());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformSubsurfaceCategory unmarshalEnum(ByteBuffer byteBuffer) throws Exception
    {
        /*
        try {
            value = (int)byteBuffer.get();
        }
        catch(Exception ex) {
            showError(ex);
        }
        */
        return getEnumForValue(byteBuffer.get());
    }

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 1; // 8 bits
    }
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

    
  /**
   * Provide simple identifier
   * @return class name, value and name
   */
    @Override
    public String toString()
    {
        String padding = new String();
        if (this.getClass().getName().endsWith("DisPduType") && (getValue() < 10))
            padding = "0"; // leading zero for column spacing
        String result = this.getClass().getSimpleName() + " " + padding + getValue() + " " + name();
        if (getTRACE())
            System.out.println ("*** enum " + this.getClass().getSimpleName() + " name=" + name() + ", value=" + getValue() + "; " +
               result); // debug diagnostic
        return result;
    }
}
